﻿using Microsoft.Win32;
using System;
using System.Net;

namespace AirFusion.Manager.DeviceManager
{
	public sealed partial class UserDeviceManager
	{
		private const string ServiceName = "_air-fusion";												// The servce name
		private const AFUserDevice.OSTypeValue DefaultOSType = AFUserDevice.OSTypeValue.Windows;				// OS type
		internal static Guid BluetoothServiceUuid = new Guid("8FFE272E-5566-7788-BA28-45F3356B5B47");	// Bluetooth service UUID

		// name of locker

		private const string LNDiscovery = "Discovery";
		private const string LNDiscoverable = "Discoverable";
		private const string LNDandelionAdapter = "DandelionAdapter";
		private const string LNMulticastDnsAdapter = "MulticastDnsAdapter";
		private const string LNNetworkObserver = "NetworkObserver";

		// Registry key

		private const RegistryHive RegDeviceManagementHive = RegistryHive.CurrentUser;
		private const string RegDeviceManagementKey = @"Software\OEM\AcerEXTEND\DeviceManagement";
	}
}