﻿using AirFusion.Common;

namespace AirFusion.Manager.DeviceManager
{
	public sealed partial class AFUserDevice
	{
		public sealed partial class DisplayInfo
		{
			/// <summary>
			/// Specifies the rotation degree of the display.
			/// </summary>
			public enum DisplayRotation
			{
				/// <summary>
				/// Signifies the rotation is 0 degree.
				/// </summary>
				[ParameterValue(0)]
				Rotation0 = 0,

				/// <summary>
				/// Signifies the rotation is 90 degree.
				/// </summary>
				[ParameterValue(90)]
				Rotation90 = 1,

				/// <summary>
				/// Signifies the rotation is 180 degree.
				/// </summary>
				[ParameterValue(180)]
				Rotation180 = 2,

				/// <summary>
				/// Signifies the rotation is 270 degree.
				/// </summary>
				[ParameterValue(270)]
				Rotation270 = 3
			}
		}
	}
}