﻿using System.Collections.Concurrent;

namespace AirFusion.Manager.DeviceManager
{
	public sealed partial class UserDeviceManager
	{
		internal sealed partial class MulticastDnsAdapter
		{
			/// <summary>
			/// The registered instance name.
			/// </summary>
			public static BlockingCollection<string> RegisteredServiceNames { get; private set; }

			static MulticastDnsAdapter()
			{
				RegisteredServiceNames = new BlockingCollection<string>();
			}
		}
	}
}